<?php 
  $lvl1ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
  ));
$wp_customize->add_panel( $lvl1ParentPanel );

  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_inner_pages' , array(
        'title'    => __( 'Inner Pages', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );


    $wp_customize->add_setting('peccular_innerpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_innerpages_nav', array(
       'section' => 'peccular_inner_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_innerpage_pagetitle_padding',
                'peccular_innerpage_pagetitle_t_padding',
                'peccular_innerpage_pagetitle_b_padding' ,   
                'innerpage_featured_img_on_off',               
                'page_title_on_off',
                'peccular_innerpagebulletpointlbl',
                'inneranimations_icon_display',
                'peccular_innerpage_bulletpointicon' 
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular__page_layout',
                'peccular_inner_page_width'

            ),
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
                'peccular_innerpage_image_opacity',
                'peccular_innerpage_header_box_onload_effects',   
                'peccular_innerpage_content_color',
                'peccular_innerpage_link_color',
                'peccular_innerpage_linkhover_color',
                'peccular_innerpage_bg_color',
                'peccular_innerpage_title_color',
                'peccular_innerpage_titlebg_color',
                'peccular_innerpage_listnumber_color',
                'peccular_innerpage_listnumberbg_color',
                'peccular_innerpage_listnumberbgbg_color',
                'peccular_innerpage_pagination_color',
                'peccular_innerpage_paginationbg_color',
                'peccular_innerpage_paginationborder_color',
                'peccular_innerpage_paginationactivetext_color', 
                'peccular_innerpage_paginationactivebg_color',               
                'peccular_innerpage_blockquotebg_color',
                'peccular_innerpage_blockquotetext_color',
                'peccular_innerpage_formfield_color',
                'peccular_innerpage_formbg_color',
                'peccular_innerpage_formborder_color',
                'peccular_innerpage_formbuttontext_color',
                'peccular_innerpage_formbuttonbg_color',
                'peccular_innerpage_formbuttonhover_color',
                'peccular_innerpage_blockquotebrdr_color'
            ),
         )
        ),
    )));

$wp_customize->add_setting('peccular_innerpage_pagetitle_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_innerpage_pagetitle_padding',array(
      'label' => __('Page Tittle Padding','peccular'),
      'section' => 'peccular_inner_pages'
   ));

    $wp_customize->add_setting('peccular_innerpage_pagetitle_t_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_innerpage_pagetitle_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_inner_pages',
    ));
     $wp_customize->add_setting('peccular_innerpage_pagetitle_b_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_innerpage_pagetitle_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_inner_pages',
    ));

$wp_customize->add_setting(
    'innerpage_featured_img_on_off',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'innerpage_featured_img_on_off',
        array(
            'settings'      => 'innerpage_featured_img_on_off',
            'section'       => 'peccular_inner_pages',
            'label'         => __( 'Page Featured Image', 'peccular-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'peccular-premium' ),
                'off' => __( 'No', 'peccular-premium' )
            ),
        )
    )
);


$wp_customize->add_setting(
    'page_title_on_off',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'page_title_on_off',
        array(
            'settings'      => 'page_title_on_off',
            'section'       => 'peccular_inner_pages',
            'label'         => __( 'Page Title', 'peccular-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'peccular-premium' ),
                'off' => __( 'No', 'peccular-premium' )
            ),
        )
    )
);

lzCustomLable($wp_customize, 'peccular_innerpagebulletpointlbl', 'peccular_inner_pages', ' Font Awesome Icon Setting');


$wp_customize->add_setting(
        'peccular_innerpage_bulletpointicon',
        array(
            'default'           => '\f061',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_innerpage_bulletpointicon',
            array(
                'settings'      => 'peccular_innerpage_bulletpointicon',
                'section'       => 'peccular_inner_pages',
                'type'          => 'icon',
                'label'         => __( 'Bullet Point Icon', 'peccular-premium' ),
            )
        )
    );

//Page Layout
$lzPageLayout = getPageLayout(true);

$wp_customize->add_setting(
   'peccular__page_layout',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '0'
   )
);
$wp_customize->add_control(
   new peccular_Font_Chooser(
      $wp_customize,
      'peccular__page_layout',
      array(
         'settings'=> 'peccular__page_layout',
         'section' => 'peccular_inner_pages',
         'label'=>__('Left / Right and No Sidebar', 'peccular Premium'),
         'choices'=>$lzPageLayout
      )
   )
);

$wp_customize->add_setting('peccular_inner_page_width',array(
    'default' => 'Box Width',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_inner_page_width',array(
    'type' => 'select',
    'label' => __('Page Width','peccular'),
    'choices' => array (
        'Box Width' => __('Box Width','peccular'),
        'Full Width' => __('Full Width','peccular')
    ),
    'section' => 'peccular_inner_pages',
));


$wp_customize->add_setting('peccular_innerpage_header_box_onload_effects',array(
    'default' => 'wow zoomIn',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_innerpage_header_box_onload_effects',array(
    'type' => 'select',
    'label' => __('Header Box Transition Effects','peccular'),
    'choices' => array (
        'wow bounceInLeft' => __('Bounce In Left','peccular'),
        'wow bounceInRight' => __('Bounce In Right','peccular'),
        'wow bounceInUp' => __('Bounce In Up','peccular'),
        'wow bounceInDown' => __('Bounce In Down','peccular'),
        'wow zoomIn' => __('Zoom In','peccular'),
        'wow zoomOut' => __('Zoom Out','peccular'),
        'wow fadeInDown' => __('Fade In Down','peccular'),            
        'wow fadeInUp' => __('Fade In Up','peccular'),
        'wow fadeInLeft' => __('Fade In Left','peccular'),
        'wow fadeInRight' => __('Fade In Right','peccular'),
        'flip-up' => __('Flip Up','peccular')
    ),
    'section' => 'peccular_inner_pages',
));

addColorPalatOption($wp_customize, 'peccular_innerpage_content_color', 'peccular_inner_pages', 'Content Text Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_link_color', 'peccular_inner_pages', 'Link Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_linkhover_color', 'peccular_inner_pages', 'Link Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_bg_color', 'peccular_inner_pages', 'BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_title_color', 'peccular_inner_pages', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_titlebg_color', 'peccular_inner_pages', 'Title BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_listnumber_color', 'peccular_inner_pages', 'List Style Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_listnumberbg_color', 'peccular_inner_pages', 'Order List Number Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_listnumberbgbg_color', 'peccular_inner_pages', 'Order List BG Color', '');

addColorPalatOption($wp_customize, 'peccular_innerpage_pagination_color', 'peccular_inner_pages', 'Pagination Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_paginationbg_color', 'peccular_inner_pages', 'Pagination BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_paginationborder_color', 'peccular_inner_pages', 'Pagination Border Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_paginationactivetext_color', 'peccular_inner_pages', 'Pagination Active Text Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_paginationactivebg_color', 'peccular_inner_pages', 'Pagination Hover/Active BG Color', '');

addColorPalatOption($wp_customize, 'peccular_innerpage_blockquotebg_color', 'peccular_inner_pages', 'Blockquote BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_blockquotetext_color', 'peccular_inner_pages', 'Blockquote Text Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_blockquotebrdr_color', 'peccular_inner_pages', 'Blockquote Description Color', '');

// to show & hide Heading Image
$wp_customize->add_setting( 'inneranimations_icon_display' , array( 'default' => true, 'transport' => 'refresh', ) );
 $wp_customize->add_control( 'inneranimations_icon_display', array( 'label' => 'Animation Image Display', 'section' => 'peccular_inner_pages', 'settings' => 'inneranimations_icon_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Image', 'hide' => 'Hide Image', ), ) );  

?>